| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UpgradeRequest Struct Reference
Upgrade and Remote Patching

Upgrade request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | operatorId
| Operator Id. More...
enum unsp__NodeId * | NodeId
| Indicates whether the request is for "Node 1" or Node 2". More...
enum unsp__UpgradeMethod * | upgradeMethod
| This specifies whether to use "Online", "Rolling" or "Split Mode Upgrade". More...
struct unsp__PatchSetList * | patchSetToInstall
| The list of patchsets to be installed. More...
struct unsp__PatchSetList * | patchSetToRemove
| The list of patchsets to be removed. More...
enum unsp__PatchLocation * | PatchLocation
| Indicates whether to download the patches from the SIS server or to pick them up from the OpenScape Voice system at location or to use them from the DVD. More...
enum unsp__NodeId * | PatchSetNodeLocation
| Indicates which node has the patchset, in case PatchLocation is OpenScape Voice or DVD. More...
char * | sisIP
| The IP address of the SIS (Software Installation Server). More...
char * | sisUser
| The user name with which to log on to the SIS (Software Installation Server). More...
char * | sisPassword
| The password with which to log on to the SIS (Software Installation Server). More...

## Detailed Description

Upgrade request.

Used by unsp__Upgrade()

## Member Data Documentation

## ◆ NodeId

enum unsp__NodeId* unsp__UpgradeRequest::NodeId

Indicates whether the request is for "Node 1" or Node 2".

Note: This operation is expected to be executed on Node 1 only; it is not supported for Node 2. To upgrade the second node, the unsp__UpgradeSecondNode() method must be used.
required: true
default value[range]: NA

## ◆ operatorId

char* unsp__UpgradeRequest::operatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PatchLocation

enum unsp__PatchLocation* unsp__UpgradeRequest::PatchLocation

Indicates whether to download the patches from the SIS server or to pick them up from the OpenScape Voice system at location or to use them from the DVD.

required: true
default value[range]: PatchLocationHIQ

## ◆ PatchSetNodeLocation

enum unsp__NodeId* unsp__UpgradeRequest::PatchSetNodeLocation

Indicates which node has the patchset, in case PatchLocation is OpenScape Voice or DVD.

required: true
default value[range]: NA

## ◆ patchSetToInstall

struct unsp__PatchSetList* unsp__UpgradeRequest::patchSetToInstall

The list of patchsets to be installed.

required: true
default value[range]: NA

## ◆ patchSetToRemove

struct unsp__PatchSetList* unsp__UpgradeRequest::patchSetToRemove

The list of patchsets to be removed.

In the same operation request to remove patchsets and add patchsets can be specified.
required: false
default value[range]: NA

## ◆ sisIP

char* unsp__UpgradeRequest::sisIP

The IP address of the SIS (Software Installation Server).

required: true when PatchLocation is PatchLocationSIS
default value[range]: NA [1..1024]

## ◆ sisPassword

char* unsp__UpgradeRequest::sisPassword

The password with which to log on to the SIS (Software Installation Server).

required: true when PatchLocation is PatchLocationSIS
default value[range]: NA [1..1024]

## ◆ sisUser

char* unsp__UpgradeRequest::sisUser

The user name with which to log on to the SIS (Software Installation Server).

required: true when PatchLocation is PatchLocationSIS
default value[range]: NA [1..1024]

## ◆ upgradeMethod

enum unsp__UpgradeMethod* unsp__UpgradeRequest::upgradeMethod

This specifies whether to use "Online", "Rolling" or "Split Mode Upgrade".

Note: Only UpgradeMethodRolling is supported
required: true
default value[range]: UpgradeMethod Rolling

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h